Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: martin rudalics <[email-masked]>
Date: Tue, 20 Dec 2016 17:25:11 +0100

>> Which one is "the offending change"?
 >
 > The one whose commit caused this issue to arise, commit e65c307.
 >
 >> If you reread the thread, you will
 >> see that there are controversial opinions.  Anyway, here we go.
 >
 > Thanks, but that's not what I asked about.  I asked to describe how
 > the change after which this issue appeared causes it to appear.  IOW,
 > what does the current code do that wasn't done before e65c307, which
 > triggers this problem?

Before e65c307 the disjunct

          (or (font-get (face-attribute 'default :font f 'default)
                    :user-spec)

in ‘font-setting-change-default-font’ always evaluated to nil.  After
e65c307 it returns some non-nil value and ‘frame-font’ gets set to that.

martin